curl --request PUT \
--url https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "support@acme.com",
"profile_picture_handle": "4::aW1hZ2UvanBlZw==",
"vertical": "RETAIL",
"websites": [
"https://acme.com"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'Reach us 9-5 weekdays.',
address: '1 Hacker Way, Menlo Park, CA',
description: 'Acme Corp customer support.',
email: 'support@acme.com',
profile_picture_handle: '4::aW1hZ2UvanBlZw==',
vertical: 'RETAIL',
websites: ['https://acme.com']
})
};
fetch('https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile"
payload = {
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "support@acme.com",
"profile_picture_handle": "4::aW1hZ2UvanBlZw==",
"vertical": "RETAIL",
"websites": ["https://acme.com"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Update a WhatsApp Business Profile
Updates one or more fields of the public business profile (about, address, description, email, websites, vertical, profile_picture_handle). Only provided fields are changed. The profile picture itself is changed by passing a profile_picture_handle obtained from the Resumable Upload API; profile_picture_url is read-only.
curl --request PUT \
--url https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "support@acme.com",
"profile_picture_handle": "4::aW1hZ2UvanBlZw==",
"vertical": "RETAIL",
"websites": [
"https://acme.com"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'Reach us 9-5 weekdays.',
address: '1 Hacker Way, Menlo Park, CA',
description: 'Acme Corp customer support.',
email: 'support@acme.com',
profile_picture_handle: '4::aW1hZ2UvanBlZw==',
vertical: 'RETAIL',
websites: ['https://acme.com']
})
};
fetch('https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/whatsapp/phone-numbers/{id}/business-profile"
payload = {
"about": "Reach us 9-5 weekdays.",
"address": "1 Hacker Way, Menlo Park, CA",
"description": "Acme Corp customer support.",
"email": "support@acme.com",
"profile_picture_handle": "4::aW1hZ2UvanBlZw==",
"vertical": "RETAIL",
"websites": ["https://acme.com"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
WhatsApp phone number platform ID (numeric ID, not the E.164 number)
Body
Profile fields to update
About is the profile tagline (max 139 characters).
"Reach us 9-5 weekdays."
Address is the business address (max 256 characters).
"1 Hacker Way, Menlo Park, CA"
Description is the business description.
"Acme Corp customer support."
Email is the contact email.
"support@acme.com"
ProfilePictureHandle is a handle returned by the Resumable Upload API. Use this to change the profile picture; the picture URL is read-only.
"4::aW1hZ2UvanBlZw=="
Vertical is the business category.
OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT, ALCOHOL "RETAIL"
Websites lists the business websites (max 2).
["https://acme.com"]
Response
Profile updated